commit cec0326137ef91e2910a9c70eb9743f032e87137
Author: Haochen Jiang <haochen.jiang@intel.com>
Date:   Mon Feb 10 14:00:57 2025 +0800

    i386: Fix AVX512BW intrin header with __OPTIMIZE__ [PR 118813]
    
    When moving intrins around for AVX10 implementation in GCC 14,
    the intrin _kshiftli_mask32 and _kshiftri_mask32 are wrongly
    wrapped by "#if __OPTIMIZE__" instead of "#ifdef __OPTIMIZE__",
    leading to the intrin file not `-Wsystem-headers -Wundef` clean
    since r14-4490.
    
    gcc/ChangeLog:
    
            PR target/118813
            * config/i386/avx512bwintrin.h: Fix wrong __OPTIMIZE__
            wrap.

diff --git a/gcc/config/i386/avx512bwintrin.h b/gcc/config/i386/avx512bwintrin.h
index 8991c9c1e57..d07f73dde2f 100644
--- a/gcc/config/i386/avx512bwintrin.h
+++ b/gcc/config/i386/avx512bwintrin.h
@@ -199,7 +199,7 @@ _kunpackw_mask32 (__mmask16 __A, __mmask16 __B)
 					      (__mmask32) __B);
 }
 
-#if __OPTIMIZE__
+#ifdef __OPTIMIZE__
 extern __inline __mmask32
 __attribute__ ((__gnu_inline__, __always_inline__, __artificial__))
 _kshiftli_mask32 (__mmask32 __A, unsigned int __B)

